package com.eactive.eai.rms.onl.tracking.vo;

import com.eactive.eai.rms.common.datasource.DataSourceContextHolder;
import com.eactive.eai.rms.onl.vo.AbstractPagingSupportVo;
import com.eactive.eai.rms.onl.vo.PersistentVo;

public class DbTrackingVo extends AbstractPagingSupportVo implements
        PersistentVo {
    public String getSchemaId() {
        return DataSourceContextHolder.getDataSourceType().getSchema();
    }
    
    private String errorYn;   // 에러검색여부 ( UI에서의 라디오버튼 )

    private String tableName; // 조회 테이블명
    private String searchUser; // 조회자 
    private String startTime; // 메시지수신시간 ( 시작 )
    private String endTime; // 메시지수신시간 ( 종료 )

    private String eaiBzwkDstcd; // EAI업무구분코드
    
    private String msgDpstYMS; // 메시지수신일시
    private String eaiSvcSerno; // EAI서비스일련번호
    private String logPrcssSerno; // 로그처리일련번호
    private String eaiSvcName; // EAI서비스명
    private String eaiSvcDesc; // EAI서비스 설명
    private String msgPrcssYMS; // 메시지처리일시
    private String keyMgtMsgCtnt; // 키관리메시지내용
    private String trackAsisKey1Ctnt; // 추적보조키1내용
    private String trackAsisKey2Ctnt; // 추적보조키2내용
    private String guid; // GUID
    
    private String srvcId;

    // 2010.02.16 에러로그 추적화면 추가 ( 요청사항 )
    private String eaiErrCd; // EAI에러코드
    private String rspnsErrcdName; // 응답에러코드명
    
    public DbTrackingVo getClone() {
        DbTrackingVo r = new DbTrackingVo();
        
        r.setErrorYn(errorYn);
        r.setTableName(tableName);
        r.setStartTime(startTime);
        r.setEndTime(endTime);
        
        r.setEaiBzwkDstcd(eaiBzwkDstcd);
        r.setMsgDpstYMS(msgDpstYMS);
        r.setEaiSvcSerno(eaiSvcSerno);
        r.setLogPrcssSerno(logPrcssSerno);
        r.setEaiSvcName(eaiSvcName);
        r.setMsgPrcssYMS(msgPrcssYMS);
        r.setKeyMgtMsgCtnt(keyMgtMsgCtnt);
        r.setTrackAsisKey1Ctnt(trackAsisKey1Ctnt);
        r.setTrackAsisKey2Ctnt(trackAsisKey2Ctnt);
        r.setGuid(guid);
        
        r.setSrvcId(srvcId);
        
        r.setEaiErrCd(eaiErrCd);
        r.setRspnsErrcdName(rspnsErrcdName);
        
        return r ;
    }

    /**
     * Debug output string
     */
    public String toString() {
    	StringBuffer sb = new StringBuffer();
    	sb.append("---------------------------------------------------------\n");    	
    	sb.append("currentPageNum=").append(getCurrentPageNum()).append(", ");
    	sb.append("startNum=").append(getStartNum()).append(", ");
    	sb.append("endNum=").append(getEndNum()).append(", ");
    	sb.append("totalCount=").append(getTotalCount()).append("\n");
    	
    	sb.append("errorYn=").append(errorYn).append("\n");
    	sb.append("tableName=").append(tableName).append("\n");
    	sb.append("startTime=").append(startTime).append("\n");
    	sb.append("endTime=").append(endTime).append("\n");
    	sb.append("eaiBzwkDstcd=").append(eaiBzwkDstcd).append("\n");
    	sb.append("msgDpstYMS=").append(msgDpstYMS).append("\n");
    	sb.append("eaiSvcSerno=").append(eaiSvcSerno).append("\n");
    	sb.append("logPrcssSerno=").append(logPrcssSerno).append("\n");
    	sb.append("eaiSvcName=").append(eaiSvcName).append("\n");
    	sb.append("msgPrcssYMS=").append(msgPrcssYMS).append("\n");
    	sb.append("keyMgtMsgCtnt=").append(keyMgtMsgCtnt);
    	sb.append("trackAsisKey1Ctnt=").append(trackAsisKey1Ctnt).append("\n");
    	sb.append("trackAsisKey2Ctnt=").append(trackAsisKey2Ctnt).append("\n");
    	sb.append("guid=").append(guid).append("\n");
    	sb.append("srvcId=").append(srvcId).append("\n");
    	sb.append("eaiErrCd=").append(eaiErrCd).append("\n");
    	sb.append("rspnsErrcdName=").append(rspnsErrcdName).append("\n");
    	
    	return sb.toString() ;
    }

    /**
     * @return the guid
     */
    public String getGuid() {
        return guid;
    }

    /**
     * @param guid the guid to set
     */
    public void setGuid(String guid) {
        this.guid = guid;
    }    
    
    /**
     * @return the errorYn
     */
    public String getErrorYn() {
        return errorYn;
    }

    /**
     * @param errorYn the errorYn to set
     */
    public void setErrorYn(String errorYn) {
        this.errorYn = errorYn;
    }

    /**
     * @return the eaiBzwkDstcd
     */
    public String getEaiBzwkDstcd() {
        return eaiBzwkDstcd;
    }

    /**
     * @param eaiBzwkDstcd the eaiBzwkDstcd to set
     */
    public void setEaiBzwkDstcd(String eaiBzwkDstcd) {
        this.eaiBzwkDstcd = eaiBzwkDstcd;
    }

    /**
     * @return the msgDpstYMS
     */
    public String getMsgDpstYMS() {
        return msgDpstYMS;
    }

    /**
     * @param msgDpstYMS the msgDpstYMS to set
     */
    public void setMsgDpstYMS(String msgDpstYMS) {
        this.msgDpstYMS = msgDpstYMS;
    }

    /**
     * @return the eaiSvcSerno
     */
    public String getEaiSvcSerno() {
        return eaiSvcSerno;
    }

    /**
     * @param eaiSvcSerno the eaiSvcSerno to set
     */
    public void setEaiSvcSerno(String eaiSvcSerno) {
        this.eaiSvcSerno = eaiSvcSerno;
    }

    /**
     * @return the logPrcssSerno
     */
    public String getLogPrcssSerno() {
        return logPrcssSerno;
    }

    /**
     * @param logPrcssSerno the logPrcssSerno to set
     */
    public void setLogPrcssSerno(String logPrcssSerno) {
        this.logPrcssSerno = logPrcssSerno;
    }

    /**
     * @return the eaiSvcName
     */
    public String getEaiSvcName() {
        return eaiSvcName;
    }

    /**
     * @param eaiSvcName the eaiSvcName to set
     */
    public void setEaiSvcName(String eaiSvcName) {
        this.eaiSvcName = eaiSvcName;
    }

    public String getEaiSvcDesc() {
		return eaiSvcDesc;
	}

	public void setEaiSvcDesc(String eaiSvcDesc) {
		this.eaiSvcDesc = eaiSvcDesc;
	}

	/**
     * @return the msgPrcssYMS
     */
    public String getMsgPrcssYMS() {
        return msgPrcssYMS;
    }

    /**
     * @param msgPrcssYMS the msgPrcssYMS to set
     */
    public void setMsgPrcssYMS(String msgPrcssYMS) {
        this.msgPrcssYMS = msgPrcssYMS;
    }

    /**
     * @return the keyMgtMsgCtnt
     */
    public String getKeyMgtMsgCtnt() {
        return keyMgtMsgCtnt;
    }

    /**
     * @param keyMgtMsgCtnt the keyMgtMsgCtnt to set
     */
    public void setKeyMgtMsgCtnt(String keyMgtMsgCtnt) {
        this.keyMgtMsgCtnt = keyMgtMsgCtnt;
    }

    /**
     * @return the trackAsisKey1Ctnt
     */
    public String getTrackAsisKey1Ctnt() {
        return trackAsisKey1Ctnt;
    }

    /**
     * @param trackAsisKey1Ctnt the trackAsisKey1Ctnt to set
     */
    public void setTrackAsisKey1Ctnt(String trackAsisKey1Ctnt) {
        this.trackAsisKey1Ctnt = trackAsisKey1Ctnt;
    }

    /**
     * @return the trackAsisKey2Ctnt
     */
    public String getTrackAsisKey2Ctnt() {
        return trackAsisKey2Ctnt;
    }

    /**
     * @param trackAsisKey2Ctnt the trackAsisKey2Ctnt to set
     */
    public void setTrackAsisKey2Ctnt(String trackAsisKey2Ctnt) {
        this.trackAsisKey2Ctnt = trackAsisKey2Ctnt;
    }

    /**
     * @return the tableName
     */
    public String getTableName() {
        return tableName;
    }

    /**
     * @param tableName the tableName to set
     */
    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    /**
     * @return the startTime
     */
    public String getStartTime() {
        return startTime;
    }

    /**
     * @param startTime the startTime to set
     */
    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    /**
     * @return the endTime
     */
    public String getEndTime() {
        return endTime;
    }

    /**
     * @param endTime the endTime to set
     */
    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    /**
     * @return the srvcId
     */
    public String getSrvcId() {
        return srvcId;
    }
    
    /**
     * @param eaiTelgmRecvTranCd the eaiTelgmRecvTranCd to set
     */
    public void setSrvcId(String srvcId) {
        this.srvcId = srvcId;
    }
    
    
	public String getEaiErrCd() {
		return eaiErrCd;
	}

	public void setEaiErrCd(String eaiErrCd) {
		this.eaiErrCd = eaiErrCd;
	}

	public String getRspnsErrcdName() {
		return rspnsErrcdName;
	}

	public void setRspnsErrcdName(String rspnsErrcdName) {
		this.rspnsErrcdName = rspnsErrcdName;
	}

	public void setSearchUser(String searchUser) {
		this.searchUser = searchUser;
	}

	public String getSearchUser() {
		return searchUser;
	}
    
    
}
